Subject: Re: git-gc doesn't clean up leftover objects after git-filter-branch unless you clone first

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Apr 2008 10:00:59 -0700

"Avery Pennarun" <[email-masked]> writes:

> This question has come up at least once a week since I subscribed to
> the list.  I can think of these solutions:
>
> - Add a note to the git-gc and/or git-repack man page about how hidden
> refs can impact the cleanup.
>
> - Add an option to make git-clone *not* hardlink stuff; its different
> behaviour for hardlinking vs. file:// seems to be very confusing.
>
> - Make git-gc give a warning when there are some objects that are only
> referenced via the reflog or refs/original.  (I suspect this would
> trigger too often though.)
>
> - Give git-gc a "really, I'm serious" option that makes it ignore the
> reflog and refs/original.

- Teach people that leftover cruft is nothing to worry about.